package com.qmth.teachcloud.mark.dto.mark.score;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import java.util.List;
import java.util.Map;

public class StudentObjectiveDetailDto {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long studentId;
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;
    private String studentName;
    private String studentCode;
    private String courseCode;
    private String courseName;
    private String paperNumber;
    private String secretNumber;
    private String college;
    private String className;
    private String examPlace;
    private String examRoom;
    private Double objectiveScore;
    private Double subjectiveScore;
    private Boolean upload;
    private Boolean absent;
    private List<SheetUrlDto> sheetUrls;
    private List<StudentObjectiveAnswerDto> answers;
    private Map<Integer, String> titles;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getSecretNumber() {
        return secretNumber;
    }

    public void setSecretNumber(String secretNumber) {
        this.secretNumber = secretNumber;
    }

    public String getCollege() {
        return college;
    }

    public void setCollege(String college) {
        this.college = college;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getExamPlace() {
        return examPlace;
    }

    public void setExamPlace(String examPlace) {
        this.examPlace = examPlace;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public Double getSubjectiveScore() {
        return subjectiveScore;
    }

    public void setSubjectiveScore(Double subjectiveScore) {
        this.subjectiveScore = subjectiveScore;
    }

    public Boolean getUpload() {
        return upload;
    }

    public void setUpload(Boolean upload) {
        this.upload = upload;
    }

    public Boolean getAbsent() {
        return absent;
    }

    public void setAbsent(Boolean absent) {
        this.absent = absent;
    }

    public List<SheetUrlDto> getSheetUrls() {
        return sheetUrls;
    }

    public void setSheetUrls(List<SheetUrlDto> sheetUrls) {
        this.sheetUrls = sheetUrls;
    }

    public List<StudentObjectiveAnswerDto> getAnswers() {
        return answers;
    }

    public void setAnswers(List<StudentObjectiveAnswerDto> answers) {
        this.answers = answers;
    }

    public Map<Integer, String> getTitles() {
        return titles;
    }

    public void setTitles(Map<Integer, String> titles) {
        this.titles = titles;
    }
}
